[[defs_values]]
input_type = "text"
numchar = 0
msg = "Host Name"
var = "hostname"
default_value = ""
not_empty = true

[[defs_values]]
input_type = "list"
msg = "Server Plan"
var = "plan"
default_value = "1xCPU-2GB"
options_list = [
    "1xCPU-2GB",
    "2xCPU-4GB",
    "DEV-1xCPU-4GB",
    "DEV-1xCPU-2GB",
]
[[defs_values]]
input_type = "ipv4-address"
numchar = 0
msg = "Network private IPv4"
var = "network_private_ip"
default_value = ""
not_empty = false

[[defs_values]]
input_type = "text"
numchar = 0
msg = "Labels format: key=value"
var = "labels"
default_value = ""
not_empty = false

# name: str
# size: int = 0
# total: int = size
# type: "ext4" | "xfs" | "btrfs" | "raw" | "zfs" = "ext4"
# mount: bool = True
# mount_path?: str
# fstab: bool = True

#"volname": "",
#"voltype": "maxiops",
#"labels": "",
#"encrypt": false

[[defs_values]]
input_type = "list-record" 
numchar = 0
msg = "Storage Volumes"
var = "storages"
record = "storage"
default_value = ""

[[storage]]
input_type = "text"
numchar = 0
msg = "Storage name"
var = "name"
default_value = ""
not_empty = false

[[storage]]
input_type = "number"
numchar = 2
msg = "Storage total size"
var = "total"
default_value = "0"
not_empty = true

[[storage]]
input_type = "list-record" 
numchar = 0
msg = "Storage Parts in Volume"
var = "parts"
record = "storage_parts"
default_value = ""

[[storage_parts]]
input_type = "text"
numchar = 0
msg = "Storage Part name"
var = "name"
default_value = ""
not_empty = false

[[storage_parts]]
input_type = "number"
numchar = 2
msg = "Storage Part size"
var = "size"
default_value = "0"
not_empty = true

[[storage_parts]]
input_type = "list"
msg = "Storage Part type"
var = "type"
default_value = "ext4"
options_list = [
    "ext4",
    "raw",
    "xfs",
    "btrfs",
    "zfs",
]

[[storage_parts]]
input_type = "list"
msg = "Storage Part mount or not"
var = "mount"
default_value = "True"
options_list = [
    "True",
    "False",
]

[[storage_parts]]
input_type = "text"
numchar = 0
msg = "Storage Part mount path"
var = "mount_path"
default_value = ""
not_empty = false

[[storage_parts]]
input_type = "list"
numchar = 0
msg = "Storage Part include in 'fstab'"
var = "fstab"
default_value = "True"
options_list = [
    "True",
    "False",
]
